summaryrefslogtreecommitdiffstats
path: root/usr.sbin/pc-sysinstall/backend/parseconfig.sh
diff options
context:
space:
mode:
authorimp <imp@FreeBSD.org>2010-10-09 08:52:09 +0000
committerimp <imp@FreeBSD.org>2010-10-09 08:52:09 +0000
commit3373ecde5ca05e50431b3c471dc2273cd4aa0684 (patch)
tree7150d81e3a4829aa5c267662132f05aeab3b70d5 /usr.sbin/pc-sysinstall/backend/parseconfig.sh
parent69b5e27b6262ebefe667ae8ee68532c760620e48 (diff)
downloadFreeBSD-src-3373ecde5ca05e50431b3c471dc2273cd4aa0684.zip
FreeBSD-src-3373ecde5ca05e50431b3c471dc2273cd4aa0684.tar.gz
Initial patches to install images...
PR: 150921
Diffstat (limited to 'usr.sbin/pc-sysinstall/backend/parseconfig.sh')
-rwxr-xr-xusr.sbin/pc-sysinstall/backend/parseconfig.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/usr.sbin/pc-sysinstall/backend/parseconfig.sh b/usr.sbin/pc-sysinstall/backend/parseconfig.sh
index af4f974..15611fd 100755
--- a/usr.sbin/pc-sysinstall/backend/parseconfig.sh
+++ b/usr.sbin/pc-sysinstall/backend/parseconfig.sh
@@ -73,7 +73,7 @@ file_sanity_check "installMode disk0 installType installMedium packageType"
check_value installMode "fresh upgrade"
check_value bootManager "bsd none"
check_value installType "PCBSD FreeBSD"
-check_value installMedium "dvd usb ftp rsync"
+check_value installMedium "dvd usb ftp rsync image"
check_value packageType "uzip tar rsync split"
if_check_value_exists partition "all s1 s2 s3 s4 free image"
if_check_value_exists mirrorbal "load prefer round-robin split"
@@ -100,7 +100,12 @@ start_networking
# If we are not doing an upgrade, lets go ahead and setup the disk
case "${INSTALLMODE}" in
fresh)
- install_fresh
+ if [ "${INSTALLMEDIUM}" = "image" ]
+ then
+ install_image
+ else
+ install_fresh
+ fi
;;
upgrade)
@@ -108,7 +113,7 @@ case "${INSTALLMODE}" in
;;
*)
- exit 1
+ exit 1
;;
esac
OpenPOWER on IntegriCloud